package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter

public enum FreightStatusEnum {
    ONE(1,"开启"),
    TWO(0,"关闭"),
    ;


    @JsonValue
    @EnumValue
    private final Integer key;
    private final String value;

    FreightStatusEnum(Integer key,String value){
        this.key = key;
        this.value = value;
    }


}